%define snapshot 0
%define pre rc

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 9
%define qtsubminor 4

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtxmlpatterns %mklibname qt5xmlpatterns %qtmajor
%define libqtxmlpatterns_d %mklibname qt5xmlpatterns -d
%define libqtxmlpatterns_p_d %mklibname qt5xmlpatterns-private -d

%if %snapshot
%define qttarballdir qtxmlpatterns-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir qtxmlpatterns-opensource-src-%{qtversion}
%endif

Name: qtxmlpatterns5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt XmlPatterns component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
# (ngompa): For generating CMake devel provides
BuildRequires: cmake-rpm-macros

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
The QtXmlPatterns module provides support for XPath, XQuery, XSLT and
XML Schema validation.

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtXmlPatterns%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtXmlPatterns5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtxmlpatterns.qch
%{_qt5_docdir}/qtxmlpatterns/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtxmlpatterns}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires: %{name}-xmlpatterns = %{version}
Obsoletes: %{_lib}qtxmlpatterns5 < %{qtversion}-4

%description -n %{libqtxmlpatterns}
Qt%{qtmajor} Component Library.

The QtXmlPatterns module provides support for XPath, XQuery, XSLT and 
XML Schema validation.

%files -n %{libqtxmlpatterns}
%{_qt5_libdir}/libQt5XmlPatterns.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package xmlpatterns
Summary: Qt%{qtmajor} Xmlpatterns Utility
Group: Development/KDE and Qt
Provides: qt5-xmlpatterns = %version-%release
Obsoletes: qt5-xmlpatterns
Requires:  %{libqtxmlpatterns} = %version-%release

%description xmlpatterns
Qt%{qtmajor} Xmlpatterns Utility.

The QtXmlPatterns module provides support for XPath, XQuery, XSLT and 
XML Schema validation.

%files xmlpatterns
%{_qt5_bindir}/xmlpatterns

#------------------------------------------------------------------------------

%package -n %{libqtxmlpatterns_d}
Summary: Devel files needed to build apps based on QtXmlPatterns
Group:    Development/KDE and Qt
Requires: %{libqtxmlpatterns} = %version
Requires: qtbase5-common-devel = %{version}
Obsoletes: %{_lib}qtxmlpatterns5-devel < %{qtversion}-4
Provides: libqtxmlpatterns5-devel = %version
Provides: libqt5xmlpatterns-devel = %version
Provides: qtxmlpatterns5-devel = %version
Provides: qt5xmlpatterns-devel = %version

Provides: libqtxmlpatterns5-private-devel = %version
Provides: libqt5xmlpatterns-private-devel = %version
Provides: qtxmlpatterns5-private-devel = %version
Provides: qt5xmlpatterns-private-devel = %version

%description -n %{libqtxmlpatterns_d}
Devel files needed to build apps based on QtXmlPatterns.

%files -n %{libqtxmlpatterns_d}
%{_qt5_bindir}/xmlpatternsvalidator
%{_qt5_libdir}/libQt5XmlPatterns.prl
%{_qt5_libdir}/libQt5XmlPatterns.so
%{_qt5_libdir}/pkgconfig/Qt5XmlPatterns.pc
%{_qt5_includedir}/QtXmlPatterns
%{_qt5_libdir}/cmake/*
%{_qt5_datadir}/mkspecs/modules/*
%{_qt5_examplesdir}/xmlpatterns

#------------------------------------------------------------------------------

%prep
%setup -q -n qtxmlpatterns-opensource-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga6
  (not released yet)
+ Revision: 1205724
- New version 5.9.4
- New version 5.9.3
- New version 5.6.3

* Sat Mar 04 2017 ngompa <ngompa> 5.6.2-2.mga6
+ Revision: 1088697
- Add BR to cmake-rpm-macros to generate cmake() Provides for devel subpackage

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064873
- New version 5.6.2

* Sun Oct 16 2016 wally <wally> 5.6.1-4.mga6
+ Revision: 1061128
- fix lib and devel pkg names

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049800
- build missing docs part (mga#9812)
- add qtxmlpatterns5-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038384
- Update to version 5.6.1-1
- New version

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992525
+ rebuild (emptylog)

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987965
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980627
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.5.mga6
+ Revision: 916039
- Rebuild against new  rpm-mageia-setup

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915982
- Remove private devel package

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915932
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 915751
- Rebuild against new cmake to have cmake() provides

* Fri Dec 18 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911710
- New version 5.6.0 Beta

* Mon Nov 09 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900339
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894512
- New version

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853401
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Mon Jun 22 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 839546
- New version 5.5 rc

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802769
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 802025
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-4.mga5
+ Revision: 739801
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 738104
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-2.mga5
+ Revision: 639793
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-2.mga5
+ Revision: 624051
- bump rel
- update url
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-1.rc.1.mga5
+ Revision: 621493
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-1.beta.1.mga5
+ Revision: 612294
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-1.alpha.1.mga5
+ Revision: 598778
- New version 5.3.0-alpha

* Sun Feb 09 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 586964
- hard force versioned requires

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584184
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556693
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554385
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547087
- update tarball
- 5.2.0 beta1
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490410
- New version 5.2.0 alpha

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428829
- Rebuild against new qt5 libs location

* Thu May 23 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 425433
- New Qt 5.2 Snapshot

* Tue Apr 16 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410195
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394004
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392327
- New version 5.0.1 rc1
+ fwang <fwang>
- use xz

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-3.mga3
+ Revision: 391603
- Add some more provides

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 380079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 337533
- New version 5.0.0 Final

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.1.mga3
+ Revision: 322753
- New version rc1

* Fri Nov 16 2012 neoclust <neoclust> 5.0.0-0.beta.17.mga3
+ Revision: 318401
- Adapt to last qtbase5 changes

* Thu Nov 15 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 318285
- imported package qtxmlpatterns5

